Notes API
Get a note
Get a note and its resource links in the current workspace.
GET
/v1/notes/{noteId}Request
Path, query, and JSON body fields accepted by this operation.
noteIdstring<uuid>requiredpath
Response
Successful responses use Dawn's data envelope.
dataNoterequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredtitlestringrequiredmin length 1max length 200contentstringrequiredmax length 100000linksone of 2 shapes[]requiredmax items 50kind"patient"requiredresourceIdstring<uuid>required
createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
403Notes are disabled or a workspace member is required.404The note could not be found.409The note changed after it was loaded.422The note ID is invalid.503The note is temporarily unavailable.
Last updated on